summaryrefslogtreecommitdiff
path: root/debian/preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/preinst')
-rw-r--r--debian/preinst41
1 files changed, 41 insertions, 0 deletions
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000..0070083
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+
+
+case "$1" in
+ upgrade)
+ if [ "$2" \< "1.13-1.1" ]; then
+ if [ -f /etc/default/mailgraph ]; then
+ . /usr/share/debconf/confmodule
+ . /etc/default/mailgraph
+ db_set mailgraph/start_on_boot "$BOOT_START"
+ db_set mailgraph/mail_log "$MAIL_LOG"
+ db_set mailgraph/ignore_localhost "$IGNORE_LOCALHOST"
+ fi
+ fi
+ ;;
+
+ install|abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+